{ lib, pkgs }:

let
  luaUtils = import ./pkgs/luaUtils.nix { inherit lib pkgs; };
  lazyUtils = import ./pkgs/lazyUtils.nix { inherit lib luaUtils pkgs; };
  wrapNeovimLazy = pkgs.callPackage ./pkgs/wrapper.nix { inherit lazyUtils; };
in
{
  # https://github.com/NixOS/rfcs/pull/166
  formatter = pkgs.nixfmt-rfc-style;
  packages = {
    inherit wrapNeovimLazy;
    neovim-lazy = wrapNeovimLazy pkgs.neovim-unwrapped { };
  };
}
